package com.arrebol.taxiservicios.model.stocktaking;

import com.arrebol.taxiservicios.model.core.User;
import com.arrebol.taxiservicios.model.enums.DeliveryStatusType;
import java.io.Serializable;

/**
 *
 * @author Carlos Janitzio Zavala Lopez
 */
public class ServiceOrderNotificationDeliveryTo implements Serializable {

    private static final long serialVersionUID = 5162044735073777038L;

    private String id;
    private ServiceOrderNotification serviceOrderNotification;
    private User user;
    private DeliveryStatusType statusType;

    public ServiceOrderNotificationDeliveryTo() {
    }

    /**
     * Complete constructor.
     *
     * @param id
     * @param serviceOrderNotification
     * @param user
     * @param statusType
     */
    public ServiceOrderNotificationDeliveryTo(String id, ServiceOrderNotification serviceOrderNotification, User user, DeliveryStatusType statusType) {
        this.id = id;
        this.serviceOrderNotification = serviceOrderNotification;
        this.user = user;
        this.statusType = statusType;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public ServiceOrderNotification getServiceOrderNotification() {
        return serviceOrderNotification;
    }

    public void setServiceOrderNotification(ServiceOrderNotification serviceOrderNotification) {
        this.serviceOrderNotification = serviceOrderNotification;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public DeliveryStatusType getStatusType() {
        return statusType;
    }

    public void setStatusType(DeliveryStatusType statusType) {
        this.statusType = statusType;
    }

}
